Package org.eclipse.birt.chart.model.attribute

# Enum ImageSourceType

java.lang.Object
java.lang.Enum<ImageSourceType>
org.eclipse.birt.chart.model.attribute.ImageSourceType

All Implemented Interfaces:
  `Serializable`, `Comparable<ImageSourceType>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum ImageSourceType extends Enum<ImageSourceType> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration 'Image Source Type', and utility methods for working with them. This property specifies how to reference the image URL. Static source means the image is using static URL. Report source means the image is using the embedded image from report. File source means the image is from resource files.

See Also:
  - `AttributePackage.getImageSourceType()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FILE`
The 'File' literal object.
`REPORT`
The 'Report' literal object.
`STATIC`
The 'Static' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`FILE_VALUE`
The 'File' literal value.
`static final int`
`REPORT_VALUE`
The 'Report' literal value.
`static final int`
`STATIC_VALUE`
The 'Static' literal value.
`static final List<ImageSourceType>`
`VALUES`
A public read-only list of all the 'Image Source Type' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static ImageSourceType`
`get(int value)`
Returns the 'Image Source Type' literal with the specified integer value.
`static ImageSourceType`
`get(String literal)`
Returns the 'Image Source Type' literal with the specified literal value.
`static ImageSourceType`
`getByName(String name)`
Returns the 'Image Source Type' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static ImageSourceType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ImageSourceType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STATIC

public static final ImageSourceType STATIC
The 'Static' literal object.

See Also:
  - `STATIC_VALUE`

### REPORT

public static final ImageSourceType REPORT
The 'Report' literal object.

See Also:
  - `REPORT_VALUE`

### FILE

public static final ImageSourceType FILE
The 'File' literal object.

See Also:
  - `FILE_VALUE`

## Field Details

### STATIC_VALUE

public static final int STATIC_VALUE
The 'Static' literal value.

If the meaning of 'Static' literal object isn't clear, there really should be more of a description here...

See Also:
  - `STATIC`
  - Constant Field Values

### REPORT_VALUE

public static final int REPORT_VALUE
The 'Report' literal value.

If the meaning of 'Report' literal object isn't clear, there really should be more of a description here...

See Also:
  - `REPORT`
  - Constant Field Values

### FILE_VALUE

public static final int FILE_VALUE
The 'File' literal value.

If the meaning of 'File' literal object isn't clear, there really should be more of a description here...

See Also:
  - `FILE`
  - Constant Field Values

### VALUES

public static final List<ImageSourceType> VALUES
A public read-only list of all the 'Image Source Type' enumerators.

## Method Details

### values

public static ImageSourceType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ImageSourceType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static ImageSourceType get(String literal)
Returns the 'Image Source Type' literal with the specified literal value.

### getByName

public static ImageSourceType getByName(String name)
Returns the 'Image Source Type' literal with the specified name.

### get

public static ImageSourceType get(int value)
Returns the 'Image Source Type' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<ImageSourceType>`